sK1 Project :: OpenSource Solutions for Prepress
View Thread
 Print Thread
sk1libs build error
indeec
#1 Print Post
Posted on 30-03-2010 09:29
Member

Posts: 3
Joined: 30.03.10

Hello.

I downloaded and installed sK1 with no errors. But when i tried to run it, there was an error:
Download source  Code
ImportError: No module named sk1libs.pycms





So i founded this decision:
Download source  Code
svn co https://sk1.svn.sourceforge.net/svnroot/sk1/trunk/sk1libs sk1libs




But when i tried to build sk1libs, i had got this error:
Download source  Code
running build
running build_py
running build_ext
building 'sk1libs.pycms._pycms' extension
gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -DMAJOR_VERSION=1 -DMINOR_VERSION=0 -I/usr/include/python2.6 -c src/pycms/_pycms.c -o build/temp.linux-i686-2.6/src/pycms/_pycms.o -Wall
src/pycms/_pycms.c:20:20: error: Python.h: No such file or directory
src/pycms/_pycms.c:21:18: error: lcms.h: No such file or directory
In file included from src/pycms/Imaging.h:14,
                 from src/pycms/_pycms.c:22:
src/pycms/ImPlatform.h:14:2: error: #error Sorry, this library requires support for ANSI prototypes.
src/pycms/ImPlatform.h:17:2: error: #error Sorry, this library requires ANSI header files.
src/pycms/ImPlatform.h:55:2: error: #error Cannot find required 32-bit integer type
In file included from src/pycms/_pycms.c:22:
src/pycms/Imaging.h:90: error: expected specifier-qualifier-list before ‘INT32’
src/pycms/Imaging.h:263: error: expected specifier-qualifier-list before ‘INT32’
src/pycms/Imaging.h:391: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ImagingCRC32’
src/pycms/_pycms.c:26: error: expected specifier-qualifier-list before ‘PyObject_HEAD’
src/pycms/_pycms.c:31: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘getLCMStype’
src/pycms/_pycms.c:70: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:91: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:108: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:125: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:145: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:179: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:218: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:233: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:264: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:296: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:325: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:342: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:359: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:381: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:405: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/pycms/_pycms.c:431: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘pycms_methods’
src/pycms/_pycms.c: In function ‘init_pycms’:
src/pycms/_pycms.c:453: warning: implicit declaration of function ‘Py_InitModule’
src/pycms/_pycms.c:453: error: ‘pycms_methods’ undeclared (first use in this function)
src/pycms/_pycms.c:453: error: (Each undeclared identifier is reported only once
src/pycms/_pycms.c:453: error: for each function it appears in.)
error: command 'gcc' failed with exit status 1
[email protected]:~/sk1libs$ /usr/local/bin/sK1
bash: /usr/local/bin/sK1: No such file or directory
[email protected]:~/sk1libs$ /usr/local/bin/sk1
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/local/lib/python2.6/dist-packages/sk1/__init__.py", line 19, in sk1_run
    import app
  File "/usr/local/lib/python2.6/dist-packages/sk1/app/__init__.py", line 11, in <module>
    from app.utils import output
  File "/usr/local/lib/python2.6/dist-packages/sk1/app/__init__.py", line 62, in <module>
    from managers.colormanager import ColorManager
  File "/usr/local/lib/python2.6/dist-packages/sk1/app/managers/colormanager.py", line 9, in <module>
    from sk1libs.pycms import cmsOpenProfileFromFile,cmsCreateTransform,cmsDoTransform, \
ImportError: No module named sk1libs.pycms





The OS is Ubuntu 9.10. Python is Python 2.6.4. Could you plees help me with this trouble?
Thanks a lot!
 
max
#2 Print Post
Posted on 30-03-2010 12:17
Administrator

Posts: 63
Joined: 09.05.09

Hello.
You need to install the devel-packages for python and liblcms
Regards,

Maxim Barabash
sK1 Project
 
indeec
#3 Print Post
Posted on 30-03-2010 13:00
Member

Posts: 3
Joined: 30.03.10

Yes, it hellp. Thank you very much! But when i continue the building, it shows me one more error:

Download source  Code
gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -DMAJOR_VERSION=1 -DMINOR_VERSION=0 -DHAVE_LIBJPEG -DHAVE_LIBZ -I/usr/include/python2.6 -c src/imaging/libimaging/decode.c -o build/temp.linux-i686-2.6/src/imaging/libimaging/decode.o -Wall
In file included from src/imaging/libimaging/decode.c:605:
src/imaging/libimaging/Zip.h:11:18: error: zlib.h: No such file or directory
In file included from src/imaging/libimaging/decode.c:605:
src/imaging/libimaging/Zip.h:37: error: expected specifier-qualifier-list before ‘z_stream’
src/imaging/libimaging/decode.c: In function ‘PyImaging_ZipDecoderNew’:
src/imaging/libimaging/decode.c:627: error: ‘ZIPSTATE’ has no member named ‘interlaced’
In file included from src/imaging/libimaging/decode.c:653:
src/imaging/libimaging/Jpeg.h:11:21: error: jpeglib.h: No such file or directory
In file included from src/imaging/libimaging/decode.c:653:
src/imaging/libimaging/Jpeg.h: At top level:
src/imaging/libimaging/Jpeg.h:17: error: field ‘pub’ has incomplete type
src/imaging/libimaging/Jpeg.h:26: error: field ‘pub’ has incomplete type
src/imaging/libimaging/Jpeg.h:49: error: field ‘cinfo’ has incomplete type
src/imaging/libimaging/Jpeg.h:62: error: field ‘pub’ has incomplete type
src/imaging/libimaging/Jpeg.h:96: error: field ‘cinfo’ has incomplete type
error: command 'gcc' failed with exit status 1





What should i install now? :)
 
max
#4 Print Post
Posted on 30-03-2010 13:56
Administrator

Posts: 63
Joined: 09.05.09

Yes, of course. Please the installing devel-packages for
libfreetype6 libjpeg62 liblcms libz

Regards,

Maxim Barabash
sK1 Project
 
indeec
#5 Print Post
Posted on 30-03-2010 14:25
Member

Posts: 3
Joined: 30.03.10

Yes, it works! Thank you very much!
 
igor
#6 Print Post
Posted on 30-03-2010 14:58
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

BTW For each package all required dependencies are described in setup.cfg
Regards,

Igor Novikov
sK1 Project
 
Jump to Forum: